org.eclipse.net4j.util.io

## Class GZIPStreamWrapper.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.io.IStreamWrapper.Factory
    - - org.eclipse.net4j.util.io.GZIPStreamWrapper.Factory

- All Implemented Interfaces:
    IFactory
  Enclosing class:
    GZIPStreamWrapper

      public static class GZIPStreamWrapper.Factory
      extends IStreamWrapper.Factory

  Since:
    3.6
  Author:
    Esteban Dugueperoux

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE`

    - ### Fields inherited from class org.eclipse.net4j.util.io.IStreamWrapper.Factory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IStreamWrapper` | `create(java.lang.String description)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### create

          public IStreamWrapper create(java.lang.String description)
                                throws ProductCreationException

      Specified by:
        `create` in interface `IFactory`
      Specified by:
        `create` in class `IStreamWrapper.Factory`
      Throws:
        `ProductCreationException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html